<script setup lang="ts">
import { ref, onMounted } from 'vue'
import PdfViewer from '@/components/pdf/PdfViewer.vue'
import PdfViewerFull from '@/components/pdf/PdfViewerFull.vue'
import { ProductCenter } from '@/models/portalModels';


const pdfUrl = ref('')
const projectInfo = ref<ProductCenter>({} as ProductCenter)

onMounted(() => {
    const pdfItem = sessionStorage.getItem('pdfItem')
    console.log('pdfItem:', pdfItem)

    if (pdfItem) {
        try {
            projectInfo.value = JSON.parse(pdfItem)
            if (projectInfo.value.url) {
                pdfUrl.value = projectInfo.value.url
            } else {
                console.warn('pdfItem 中没有 url 字段')
            }
        } catch (e) {
            console.error('解析 pdfItem 出错：', e)
        }
    } else {
        console.warn('sessionStorage 中未找到 pdfItem')
    }
})

</script>

<template>
    <div>
        <div class="text-center">
            <h1 class="font-bold">{{ projectInfo.name }}</h1>
            <div class="flex items-center justify-center h-full">
                <PdfViewerFull v-if="pdfUrl" :src="pdfUrl" :scale="1.0" />
            </div>
        </div>
    </div>
</template>
